apiVersion: networking.k8s.io/v1
kind: NetworkPolicy
metadata:
  name: allow-hello-app-ingress
spec:
  podSelector:
    matchLabels:
      env: dev
  ingress:
  - from:
    - ipBlock:
        cidr: 10.244.0.0/16
        except:
        - 10.244.2.5/32
    ports:
    - protocol: TCP
      port: 8080
  policyTypes:
  - Ingress
